Exception when using Hibernate, javafx and modules

Description

So I am trying to get a Project running which uses Hibernate, Javafx and Java-Modules. I already tried several Versions of Hibernate, JDK and JavaFX. Here is what I got:

Pom.xml:

First Version of module-info.java:

Running this throws the following exception:

And another Version of module-info.java:

Throws this exception:

Both stacktraces reference:

My Code used to work before adding modules and javafx so I think it might be a compatibility problem.

Environment

Hibernate 6.0.0.Alpha3, JDK 14, JavaFX 14.0.1, Windows, H2

Activity

Show:
Sanne Grinovero
May 11, 2020, 4:01 PM

Hi, are you aware that the XML bind implementation was removed from the JDK?

Did you try adding com.sun.xml.bind:jaxb-impl:2.3.3 and jakarta.xml.bind:jakarta.xml.bind-api:2.3.3 ?

Niel Yorck
May 11, 2020, 5:05 PM

Yeah I am aware of that but I read somewhere that the newer hibernate versions already have it as a dependency. But nevertheless I already tried it with including jakarta xml bind api too but that didn’t help either. If I remember correctly it ended up with an error that the jakarta module was read twice which would speak for it already being included in hibernate

Assignee

Unassigned

Reporter

Niel Yorck

Fix versions

None

Labels

None

backPortable

None

Suitable for new contributors

None

Requires Release Note

None

Pull Request

None

backportDecision

None

Components

Affects versions

Priority

Blocker
Configure